#ifndef KMLF_H
#define KMLF_H
#include <limits.h>


#if 0
typedef unsigned short WORD;
typedef unsigned char BYTE;

#if (UINT_MAX==0xFFFFFFFF)
typedef unsigned int DWORD;
#else
typedef unsigned long DWORD;
#endif
#endif

#pragma pack(1)
typedef struct _HT_HEADER{
	WORD wID;
	WORD cxHT;
	WORD cyHT;
	WORD wFree;
}HTHEADER, *PHTHEADER;
#pragma pack()

#pragma pack(1)
typedef struct _IMAGE_HEADER{
	DWORD InitCM_HT;
	DWORD iColorSpace;
	WORD xResolution;
	WORD NumPlanes;
	void *pHT[4];
}IMAGEHEADER, *PIMAGEHEADER;
#pragma pack()

#define arch_is_big_endian 0
#define PRINTER_MODEL	"mc2430DL"

#ifdef __linux
#define KM_FOLDER		"/usr/local/KONICA_MINOLTA"
#else
#define KM_FOLDER		"/Library/Printers/KONICA_MINOLTA"
#endif

//Media Type code
#define PLAIN_PAPER		1
#define TRANSPARENCY	2
#define GLOSSY			3
#define THICK_STOCK		256
#define ENVELOPE		257
#define LETTERHEAD		259
#define POSTCARD		262
#define LABELS			263
#define RECYCLED_PAPER	264

#endif
