Name: magicolor2430DL

Summary: Cups Drivers for KONICA MINOLTA magicolor 2430 DL
Requires: ghostscript, cups >= 1.1.15
Version: 1.1.0
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Vendor: KONICA MINOLTA
Packager: sean zhan <sean.zhan@bil.konicaminolta.us>
Group: Applications/Publishing
BuildRoot: %{_builddir}/%{name}-root

%description
This package contains KONICA MINOLTA CUPS LavaFlow (PCL-like) filter 
rastertokm2430dl which converts CUPS raster format to KONICA MINOLTA 
LavaFlow  format, uses littleCMS for colormatching, and its PPD file. 
For lastest version of this package and source code, please check 
website http://konicaminolta.net

%prep
%setup -q

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/lib/cups/filter/rastertokm2430dl
/usr/share/cups/model/KONICA_MINOLTA/km2430dl.ppd.gz
/usr/local/KONICA_MINOLTA/mc2430DL/Profiles/km_0.icm
/usr/local/KONICA_MINOLTA/mc2430DL/Profiles/km_1.icm
/usr/local/KONICA_MINOLTA/mc2430DL/Profiles/km_2.icm
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_00.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_01.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_02.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_03.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_10.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_11.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_12.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_13.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_20.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_21.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_22.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Halftones/km_ht_23.bmp
/usr/local/KONICA_MINOLTA/mc2430DL/Installation
/usr/local/KONICA_MINOLTA/mc2430DL/COPYING
%post
#copy ht crd to ghostscript lib directory
#dir_htcrd=$(find /usr/share/ghostscript -name gs_init.ps)
#echo ${dir_htcrd%gs_init.ps}
#cp -f /usr/local/KONICA_MINOLTA/mc2430DL/Profiles/km2430dl*ps ${dir_htcrd%gs_init.ps}

if echo $MACHTYPE | grep "suse" ; then
   :
else
   if [ "$1" = "1" ]; then
      if [ -x /etc/init.d/cups ] ; then
	 /etc/init.d/cups restart
      fi
   fi
fi

%postun
if [ "$1" = "0" ]; then
   rm -rf /usr/local/KONICA_MINOLTA/mc2430DL
fi
if echo $MACHTYPE | grep "suse" ; then
   :
else
   if [ "$1" = "0" ]; then
      if [ -x /etc/init.d/cups ] ; then
	 /etc/init.d/cups restart
      fi
   fi
fi

%preun
#dir_htcrd=$(find /usr/share/ghostscript -name gs_init.ps)
#echo $dir_htcrd
#if [ "$1" = "0" ] ; then  #last uninstall
#   rm -f ${dir_htcrd%gs_init.ps}km2430dl*ps
#fi

%changelog
* Fri Sep 17 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- move ReadMe files to installation CD 
* Tue Aug 03 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- update halftone bmp with converthtbmp 
* Fri Jul 23 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- fix upgrade bug in %postun section, 
- set cupsManualCopies to False to let printer handle multi-copies
* Thu Jul 08 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- add littleCMS colormatching support
* Tue Jun 22 2004 Raymond Shum <raymond.shum@bil.konicaminolta.us>
- magicolor 2430 DL initial build
* Wed Apr 21 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- update crd and halftone data
* Mon Jan 12 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- use combobox for optional trays and duplex unit
* Mon Jan 05 2004 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- update papersize, mediatype, trays and their constraints
* Thu Dec 18 2003 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- add job title
* Fri Dec 12 2003 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- Width need 16 divisible for mc5430DL
* Mon Dec 08 2003 Sean Zhan <sean.zhan@bil.konicaminolta.us>
- magicolor 5430 DL initial beta build

